<%@ page language="java" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>

<h3><bean:message key="toDoItem.listToDoItem.heading"/></h3>

<table>
  <tr class="todoitemlistheader">
   <th align="center">Short description</th>
   <th align="center">Priority</th>
   <th align="center">Startdate</th>
   <th align="center">Enddate</th>
   <th align="center">Action</th>
  </tr>
  <logic:iterate id="element" name="allToDoItems">
    <tr class="todoitemlistrow">    
     <td align="left"><bean:write name="element" property="shortdescription" /></td>
     <td align="right"><bean:write name="element" property="priority" /></td>
     <td align="right"><bean:write name="element" property="formattedStartdate" /></td>
     <td align="right"><bean:write name="element" property="formattedEnddate" /></td>
     <td align="center" valign="center" >
        <html:form action="/ToDoItem/deleteToDoItem">
           <input type="hidden" name="id" value="<bean:write name='element' property='id' />" >
	   <html:submit property="submit" value="Delete" styleClass="action"/>  
        </html:form>
        <html:form target="ToDoItemDetail" action="/ToDoItem/updateToDoItem?method=get">
           <input type="hidden" name="id" value="<bean:write name='element' property='id' />" >
	   <html:submit property="submit" value="Detail" styleClass="action"/>  
        </html:form>
     </td>
    </tr>
  </logic:iterate> 

</table>