package org.frido.todo.bl;

import java.sql.Date;
import java.text.DateFormat;
import java.text.SimpleDateFormat;

public class ToDoItem {
    private int id;

    private String shortdescription;
    private String description;
    private int priority;
    private Date startdate;
    private Date enddate;
    DateFormat dateFormat = new SimpleDateFormat("dd.MM.yyyy");

    public int getId() {
	return id;
    }

    public void setId(int newId) {
	id = newId;
    }  

    public void setShortdescription(String newShortdescription){
	shortdescription = newShortdescription;
    }

    public String getShortdescription(){
	return shortdescription;
    }

    public void setDescription(String newDescription){
	description = newDescription;
    }

    public String getDescription(){
	return description;
    }

    public void setPriority(int newPriority){
	priority = newPriority;
    }

    public int getPriority(){
	return priority;
    }

    public void setStartdate(Date newStartdate){
	startdate = newStartdate;
    }

    public Date getStartdate(){
	return startdate;
    }

    public void setEnddate(Date newEnddate){
	 enddate = newEnddate;
    }

    public Date getEnddate(){
	return enddate;
    }

    public String getFormattedEnddate(){
	return dateFormat.format(getEnddate());
    }
     
    public String getFormattedStartdate(){
	return dateFormat.format(getStartdate());
    }
    public String toString(){
	return "["+this.getClass().getName()+
                  " Short description="+getShortdescription()+
                  " Description:"+getDescription()+
                  " Priority:"+getPriority()+
                  " Start date:"+getStartdate()+
                  " End date:"+getEnddate()+
               "]";
    }
 
    
}
